Bug 1167589 - [Build 20200322] yast2 nis and nfs clients do not find server on the same lan
[Build 20200322] yast2 nis and nfs clients do not find server on the same lan
Status: CONFIRMED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: YaST2
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: YaST Team
Jiri Srain
http://waaa-amazing.suse.cz/tests/118...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-03-24 17:33 UTC by Jonathan Rivrain
Modified: 2022-03-22 00:17 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
nis_server_notfound.png (93.89 KB, image/png)
2020-03-24 17:33 UTC, Jonathan Rivrain
Details
various logs from client (incl y2logs) (8.65 MB, application/gzip)
2020-03-24 17:34 UTC, Jonathan Rivrain
Details
no nfs found (85.25 KB, image/png)
2020-03-26 11:45 UTC, Jonathan Rivrain
Details
y2log file with nfs problem (80.33 KB, application/x-xz)
2020-03-26 11:52 UTC, Jonathan Rivrain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Rivrain 2020-03-24 17:33:12 UTC
Created attachment 833770 [details]
nis_server_notfound.png

## Observation

When we click "find" to try to find the server, nothing appears, as you may see on the attached screenshot. however, in SLE with the same exact networking, it works : https://openqa.suse.de/tests/4025785#step/nis_client/45. 

I have not found anything obvious in the logs that could explain it, I remain available if you need more elements.
 
openQA test in scenario opensuse-Tumbleweed-DVD-x86_64-nis_client@64bit fails in
[nis_client](http://waaa-amazing.suse.cz/tests/11836/modules/nis_client/steps/45)

## Test suite description



## Reproducible

Fails since (at least) Build [20200218](http://waaa-amazing.suse.cz/tests/11513)


## Expected result

Last good: (unknown) (or more recent)


## Further details

Always latest result in this scenario: [latest](http://waaa-amazing.suse.cz/tests/latest?arch=x86_64&distri=opensuse&flavor=DVD&machine=64bit&test=nis_client&version=Tumbleweed)
Comment 1 Jonathan Rivrain 2020-03-24 17:34:29 UTC
Created attachment 833771 [details]
various logs from client (incl y2logs)
Comment 2 Jonathan Rivrain 2020-03-26 11:45:27 UTC
Created attachment 833932 [details]
no nfs found

Not sure if this is related, but the same test fails later when trying to find nfs servers on the same lan:

2020-03-26 06:06:19 <0> susetest(3513) [agent-system] ../../libscr/src/include/scr/Y2AgentComponent.h(evaluate):121 After code evaluation: `Execute (.bash_output, "/sbin/rpcinfo -b mountd 1 | /usr/bin/cut -f 2 | /usr/bin/sort -u")
2020-03-26 06:06:19 <0> susetest(3513) [agent-system] ../../libscr/src/include/scr/Y2AgentComponent.h(evaluate):142 Execute, arg size is 2
2020-03-26 06:06:19 <0> susetest(3513) [agent-system] SystemAgent.cc(Execute):918 Execute (.bash_output)
2020-03-26 06:06:19 <0> susetest(3513) [bash] ShellCommand.cc(shellcommand):31 shellcommand start
2020-03-26 06:06:31 <0> susetest(3513) [bash] ShellCommand.cc(shellcommand):199 shellcommand end
2020-03-26 06:06:31 <0> susetest(3513) [Ruby] binary/Yast.cc(ycp_module_call_ycp_function):282 Dynamic Proxy: [UI::CloseDialog] with [4] params
2020-03-26 06:06:31 <0> susetest(3513) [Ruby] binary/Yast.cc(ycp_module_call_ycp_function):291 Namespace created from UI
2020-03-26 06:06:31 <0> susetest(3513) [ui] YUINamespace.cc(createFunctionCall):1035 overloaded CloseDialog, 1@14
2020-03-26 06:06:31 <0> susetest(3513) [Ruby] binary/Yast.cc(ycp_module_call_ycp_function):326 Call CloseDialog
2020-03-26 06:06:31 <0> susetest(3513) [ui] YUINamespace.cc(finishParameters):915 Actual type: <unspec> ()
2020-03-26 06:06:31 <0> susetest(3513) [ui] YUINamespace.cc(finishParameters):932 Candidate: boolean CloseDialog () MATCH: 0
2020-03-26 06:06:31 <1> susetest(3513) [Ruby] lib/cheetah.rb:160 Executing "/usr/bin/rpm -q --whatprovides firewalld".
2020-03-26 06:06:32 <1> susetest(3513) [Ruby] lib/cheetah.rb:208 Standard output: firewalld-0.7.3-1.1.noarch
2020-03-26 06:06:32 <1> susetest(3513) [Ruby] lib/cheetah.rb:180 Status: 0
2020-03-26 06:06:32 <1> susetest(3513) [Ruby] modules/PackageSystem.rb:354 Query installed package with '/usr/bin/rpm -q --whatprovides firewalld' and result firewalld-0.7.3-1.1.noarch
2020-03-26 06:06:32 <1> susetest(3513) [Ruby] lib/cheetah.rb:160 Executing "firewall-cmd --state".
2020-03-26 06:06:32 <3> susetest(3513) [Ruby] lib/cheetah.rb:208 Error output: not running
2020-03-26 06:06:32 <1> susetest(3513) [Ruby] lib/cheetah.rb:180 Status: 252
2020-03-26 06:06:32 <3> susetest(3513) [Ruby] nfs/ui.rb:368 No NFS server has been found on your network.

rpcinfo -b mountd 1 returns nothing on TW, we tried also on baremetal machine. I see all rpc services running on the server, only broadcast call fails :

here, server has ip 10.0.2.1

rpcinfo -p 10.0.2.1
   program vers proto   port  service
    100000    4   tcp    111  portmapper
    100000    3   tcp    111  portmapper
    100000    2   tcp    111  portmapper
    100000    4   udp    111  portmapper
    100000    3   udp    111  portmapper
    100000    2   udp    111  portmapper
    100004    2   udp    838  ypserv
    100004    1   udp    838  ypserv
    100004    2   tcp    838  ypserv
    100004    1   tcp    838  ypserv
    100024    1   udp  44063  status
    100024    1   tcp  59769  status
    100005    1   udp  20048  mountd
    100005    1   tcp  20048  mountd
    100005    2   udp  20048  mountd
    100005    2   tcp  20048  mountd
    100005    3   udp  20048  mountd
    100005    3   tcp  20048  mountd
    100003    3   tcp   2049  nfs
    100003    4   tcp   2049  nfs
    100227    3   tcp   2049  nfs_acl
    100021    1   udp  51035  nlockmgr
    100021    3   udp  51035  nlockmgr
    100021    4   udp  51035  nlockmgr
    100021    1   tcp  33741  nlockmgr
    100021    3   tcp  33741  nlockmgr
    100021    4   tcp  33741  nlockmgr
rpcinfo -s 10.0.2.1
   program version(s) netid(s)                         service     owner
    100000  2,3,4     local,udp,tcp,udp6,tcp6          portmapper  superuser
    100004  1,2       tcp6,udp6,tcp,udp                ypserv      superuser
    100024  1         tcp6,udp6,tcp,udp                status      488
    100005  3,2,1     tcp6,udp6,tcp,udp                mountd      superuser
    100003  4,3       tcp6,tcp                         nfs         superuser
    100227  3         tcp6,tcp                         nfs_acl     superuser
    100021  4,3,1     tcp6,udp6,tcp,udp                nlockmgr    superuser

I can create a separate report for this if you think it is un-related. I guess it may as well be a bug or change in nfs-kernel-server for example ?
Comment 3 Jonathan Rivrain 2020-03-26 11:52:34 UTC
Created attachment 833934 [details]
y2log file with nfs problem
Comment 4 Knut Alejandro Anderssen González 2020-04-03 16:11:26 UTC
Thorsten any clue?

2020-03-26 06:05:50 <0> susetest(3513) [agent-ypserv] YpservAgent.cc(Read):27 Read (.find."nis.openqa.suse.de")
2020-03-26 06:05:50 <0> susetest(3513) [agent-ypserv] YpservAgent.cc(Read):47 Calling findYpservers ("nis.openqa.suse.de").
2020-03-26 06:06:02 <0> susetest(3513) [agent-ypserv] YpservAgent.cc(Read):52 Returned from findYpservers.

No servers are returned from the server.
Comment 5 Knut Alejandro Anderssen González 2020-04-03 16:51:03 UTC
It seems that it is because rpcbind which does not accept broadcast connections by default in TW.
Comment 6 Thorsten Kukuk 2020-04-06 10:00:17 UTC
I think this is the change discussed here:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=935492

If you look at it from the NFS background, the change makes sense. If you look a them from the NIS background, it breaks things. If you look at it from security and NIS, the change was long overdue, you should not search something like a NIS server having all your accounts and passwords via broadcast today.

My suggestion: remove the automatcially search for a NIS server from YaST, admins should add the NIS servers they trust and don't choose from a random, most of the times incomplete list.
Comment 7 Knut Alejandro Anderssen González 2020-04-06 10:17:32 UTC
(In reply to Thorsten Kukuk from comment #6)
> I think this is the change discussed here:
> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=935492

Yep, I guess is that change, I found different threads discussing about it and downgrading to rpcbind-0.2.3 fixed the issue.

> 
> If you look at it from the NFS background, the change makes sense. If you
> look a them from the NIS background, it breaks things. If you look at it
> from security and NIS, the change was long overdue, you should not search
> something like a NIS server having all your accounts and passwords via
> broadcast today.
> 
> My suggestion: remove the automatcially search for a NIS server from YaST,
> admins should add the NIS servers they trust and don't choose from a random,
> most of the times incomplete list.

Thanks for your suggestions.
Comment 19 Oliver Kurz 2021-03-08 06:05:23 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1660183

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 20 Oliver Kurz 2021-03-23 06:04:31 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1677384

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 21 Oliver Kurz 2021-04-07 05:03:26 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1689163

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 22 openQA Review 2021-04-21 05:16:38 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1705623

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 23 openQA Review 2021-05-05 05:19:38 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1726334

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 24 Oliver Kurz 2021-05-19 06:23:29 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1747243

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 25 openQA Review 2021-06-03 05:17:31 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1764857

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 26 Oliver Kurz 2021-06-17 06:24:40 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1788381

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released"
3. The label in the openQA scenario is removed
Comment 27 Oliver Kurz 2021-07-01 06:24:51 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1812897

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 28 openQA Review 2021-07-16 00:01:11 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1841961

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 29 openQA Review 2021-07-30 00:02:00 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1860733

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 30 openQA Review 2021-08-13 00:03:08 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1873730

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 31 openQA Review 2021-08-28 00:54:16 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1888881

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The label in the openQA scenario is removed
Comment 32 openQA Review 2021-09-12 00:18:29 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1911968

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 33 openQA Review 2021-09-27 02:03:42 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1939681

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 34 openQA Review 2021-10-14 00:00:45 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1965168

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 35 openQA Review 2021-10-28 01:04:50 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/1994781

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 36 openQA Review 2021-11-12 02:37:29 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2029235

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 37 openQA Review 2021-11-27 00:01:41 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2058042

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 38 openQA Review 2021-12-11 01:47:13 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2079462

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 39 openQA Review 2021-12-25 23:59:07 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2103311

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 40 openQA Review 2022-01-08 23:59:35 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2125971

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 41 openQA Review 2022-01-24 12:32:25 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2151085

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 42 openQA Review 2022-02-07 23:59:14 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2177379

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 43 openQA Review 2022-02-21 23:59:41 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2200387

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`
Comment 44 openQA Review 2022-03-22 00:17:17 UTC
This is an autogenerated message for openQA integration by the openqa_review script:

This bug is still referenced in a failing openQA test: nis_client
https://openqa.opensuse.org/tests/2256261

To prevent further reminder comments one of the following options should be followed:
1. The test scenario is fixed by applying the bug fix to the tested product or the test is adjusted
2. The openQA job group is moved to "Released" or "EOL" (End-of-Life)
3. The bugref in the openQA scenario is removed or replaced, e.g. `label:wontfix:boo1234`

Expect the next reminder at the earliest in 56 days if nothing changes in this ticket.